## doxygen-awesome-css 2.2.1

=== Makefile ===
# SPDX-FileCopyrightText: 2022 Andrea Pappacoda <andrea@pappacoda.it>
# SPDX-License-Identifier: MIT

.POSIX:

PROJECT = doxygen-awesome-css

# Paths
PREFIX = /usr/local
DATADIR = share
INSTALLDIR = $(DESTDIR)$(PREFIX)/$(DATADIR)/$(PROJECT)

# Utilities
INSTALL = install -m 644
MKDIR = mkdir -p
RM = rm -f

# Files to be installed
FILES = doxygen-awesome-darkmode-toggle.js \
  doxygen-awesome-fragment-copy-button.js \
  doxygen-awesome-interactive-toc.js \
  doxygen-awesome-paragraph-link.js \
  doxygen-awesome-sidebar-only-darkmode-toggle.css \
  doxygen-awesome-sidebar-only.css \
  doxygen-awesome.css

# Empty targets so that `make` and `make clean` do not cause errors
all:
clean:

install:
	$(MKDIR) $(INSTALLDIR)
	$(INSTALL) $(FILES) $(INSTALLDIR)/

uninstall:
	$(RM) -r $(INSTALLDIR)/

.PHONY: all clean install uninstall

## doxygen-awesome-css 2.1.0

=== debian/changelog ===
doxygen-awesome-css (2.1.0-2) unstable; urgency=medium

  * d/copyright: use SPDX Apache-2.0 identifier

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 11 Oct 2022 20:52:55 +0200

doxygen-awesome-css (2.1.0-1) unstable; urgency=low

  * Initial release. Closes: #1021011

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 30 Sep 2022 22:18:59 +0200

=== debian/control ===
Source: doxygen-awesome-css
Section: devel
Priority: optional
Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://jothepro.github.io/doxygen-awesome-css/
Vcs-Git: https://salsa.debian.org/debian/doxygen-awesome-css.git
Vcs-Browser: https://salsa.debian.org/debian/doxygen-awesome-css
Rules-Requires-Root: no

Package: doxygen-awesome-css
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: custom CSS theme for Doxygen HTML documentation
 Doxygen Awesome is a custom CSS theme for Doxygen HTML-documentation
 with lots of customization parameters.
 .
 It features a clean and modern design, improved mobile usability,
 a dark mode, and doesn't change the classic HTML structure of Doxygen
 documentation.
 .
 This package contains the CSS and JavaScript files.

## doxygen-awesome-css 2.2.1

=== debian/changelog ===
doxygen-awesome-css (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1
  * Upload to unstable

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 18 Jun 2023 23:40:04 +0200

doxygen-awesome-css (2.2.0-1) experimental; urgency=medium

  * New upstream version 2.2.0
  * d/patches: remove upstreamed Makefile

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 25 May 2023 20:12:35 +0200

## doxygen-awesome-css 2.3.1

=== debian/changelog ===
doxygen-awesome-css (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 13 Jan 2024 11:43:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://jothepro.github.io/doxygen-awesome-css/
 Vcs-Git: https://salsa.debian.org/debian/doxygen-awesome-css.git
 Vcs-Browser: https://salsa.debian.org/debian/doxygen-awesome-css

## doxygen-awesome-css 2.3.3

=== debian/changelog ===
doxygen-awesome-css (2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 14 Jul 2024 18:36:34 +0200

## doxygen-awesome-css 2.3.4

=== debian/changelog ===
doxygen-awesome-css (2.3.4-2) unstable; urgency=low

  * First dgit upload
  * d/control: use my @debian.org email address
  * d/README.source: document packaging workflow

 -- Andrea Pappacoda <tachi@debian.org>  Wed, 09 Apr 2025 16:09:34 +0200

doxygen-awesome-css (2.3.4-1) unstable; urgency=low

  * New upstream version 2.3.4
  * d/control: apply X-Style: black
  * d/control: declare dpkg-build-api = 1
  * d/control: switch to dh-sequence-zz-debputy
  * d/source/lintian-overrides: override Depends warning.
    Out of date check, see <https://bugs.debian.org/1067653>

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 12 Jan 2025 01:21:11 +0100

=== debian/control ===
Source: doxygen-awesome-css
Section: devel
Priority: optional
Maintainer: Andrea Pappacoda <tachi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-zz-debputy,
 dpkg-build-api (= 1),
Standards-Version: 4.7.2
Homepage: https://jothepro.github.io/doxygen-awesome-css/
Vcs-Git: https://salsa.debian.org/debian/doxygen-awesome-css.git
Vcs-Browser: https://salsa.debian.org/debian/doxygen-awesome-css
X-Style: black

Package: doxygen-awesome-css
Architecture: all
Multi-Arch: foreign
Description: custom CSS theme for Doxygen HTML documentation
 Doxygen Awesome is a custom CSS theme for Doxygen HTML-documentation
 with lots of customization parameters.
 .
 It features a clean and modern design, improved mobile usability,
 a dark mode, and doesn't change the classic HTML structure of Doxygen
 documentation.
 .
 This package contains the CSS and JavaScript files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- INSTALL='install -m 644' PREFIX=/usr

=== debian/watch ===
version=4
opts="searchmode=plain, \
  filenamemangle=s/.+\/v@ANY_VERSION@/@PACKAGE@-$1\.tar\.gz/, \
  pgpmode=none" \
https://api.github.com/repos/jothepro/doxygen-awesome-css/tags \
https://api.github.com/repos/jothepro/doxygen-awesome-css/tarball/refs/tags/v@ANY_VERSION@
